APIを取得する

GET /v1/apis/{api_id} · 権限 apis:read

1つのAPIを返します。ETagレスポンスヘッダーはIf-Matchで使用する現在のバージョンを保持します。別の環境のAPI、削除されたAPI、および形式が正しくないIDはすべて404を返します。

リクエスト

パラメータ 入力 説明
api_id path APIのID、api_…。

レスポンス

200 OKとETagヘッダー:

{
  "id": "api_01h455vb4pex5vsknk084sn02q",
  "key": "orders",
  "identifier": "https://api.example.com/orders",
  "name": "Orders API",
  "is_system": false,
  "access_token_lifetime_s": 3600,
  "token_format": "jwt",
  "rbac_mode": "off",
  "allow_offline_access": true,
  "require_resource_indicator": false,
  "dpop_required": false,
  "mcp_profile": false,
  "first_party_access": "all",
  "introspection_applications": ["app_01h455vb4pex5vsknk084sn02r"],
  "created_at": "2026-10-05T12:00:00Z",
  "updated_at": "2026-10-05T12:00:00Z"
}

introspection_applicationsは、このAPIのトークンをイントロスペクトできるアプリケーション(app_…、ID順)をリストします。空の場合、トークンが発行されたアプリケーションのみがイントロスペクトできます。

エラー

HTTP code 情況
404 not_found この環境にそのようなAPIはありません。
403 insufficient_permissions 認証情報にapis:readがありません。

例

curl https://api.eu.keenauth.com/v1/apis/api_01h455vb4pex5vsknk084sn02q \
  -H "Authorization: Bearer $KEENAUTH_SECRET_KEY"